<View::Base::SourceRecord
  class="page-col-gallery use-highlights"
  @isEditor={{@isEditor}}
  @path={{@path}}
  @model={{@model}}
  @value={{@value}}
  ...attributes
  as |record|
>
  <div
    class="d-none"
    {{editor-props @value basePath=@path property="gallery"}}
    data-editor="gallery"
    data-type="gallery"
    {{on "props-update" this.updateGalleryProps}}
  />
  <View::Base::SourceField
    @path={{@path}}
    @record={{record}}
    @isEditor={{@isEditor}}
    @value={{@value}}
    @for="pictures"
    @onLoad={{fn this.setupPictureList record}}
  >
    {{#if this.pictureList}}
      <Container
        {{did-insert this.setup}}
        {{did-update this.setup @model @value}}
        class="small-picture-list"
        data-name={{@value.name}}
        data-path="{{@path}}.data.pictureListContainer"
        data-gid={{@value.gid}}
        @value={{@value.data.pictureListContainer}}
      >
        {{#if this.primaryPhoto}}
          <Container
            @value={{@value.data.primaryPhotoContainer}}
            data-name="primary photo"
            data-path="{{@path}}.data.primaryPhotoContainer"
            data-gid={{@value.gid}}
          >
            <PictureWithOptions
              class="page-col-picture"
              @deviceSize={{@deviceSize}}
              @name={{this.primaryPhoto.name}}
              @options={{this.primaryPhotoValue}}
              @meta={{this.primaryPhoto.meta}}
              @src={{this.primaryPhoto.picture}}
              @hash={{this.primaryPhoto.hash}}
              @onClick={{this.showGallery}}
              data-autoresize="false"
            />
          </Container>
        {{/if}}

        {{#each this.photoList as |picture index|}}
          <Container
            @value={{@value.data.pictureContainer}}
            data-name="list photo"
            data-path="{{@path}}.data.pictureContainer"
            data-gid={{@value.gid}}
            data-flex-config="false"
            data-size="false"
            style={{get this.pictureStyles index}}
          >
            <PictureWithOptions
              class="page-col-picture picture-list-item"
              @options={{this.pictureOptions}}
              @deviceSize={{@deviceSize}}
              @name={{picture.name}}
              @meta={{picture.meta}}
              @src={{picture.picture}}
              @hash={{picture.hash}}
              @onClick={{this.showGallery}}
              @onLoad={{this.updateWidths}}
              data-autoresize="false"
            />
          </Container>
        {{/each}}
      </Container>

      {{#if this.isGalleryVisible}}
        {{#if (gt this.pictureList.length 1)}}
          <PictureListFullFrame
            @title={{record.title}}
            @value={{this.pictureList}}
            @onSelect={{this.showSlideshow}}
            @onHide={{this.hideGallery}}
          />
        {{else}}
          <PictureFullFrame
            @title={{record.title}}
            @value={{get this.pictureList 0}}
            @onHide={{this.hideGallery}}
          />
        {{/if}}
      {{/if}}

      {{#if this.selectedId}}
        <Slideshow
          @title={{record.title}}
          @value={{this.pictureList}}
          @selectedId={{this.selectedId}}
          @onHide={{this.hideSlideshow}}
        />
      {{/if}}
    {{/if}}
  </View::Base::SourceField>
</View::Base::SourceRecord>